Get ramp request by ID
curl --request GET \
--url https://api-fundflow.venly.io/v1/ramp-requests/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-fundflow.venly.io/v1/ramp-requests/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-fundflow.venly.io/v1/ramp-requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyName": "<string>",
"amount": 123,
"netAmount": 123,
"fiatAmount": 1000,
"fiatNetAmount": 990,
"cryptoAmount": 0.5,
"fiatFeeAmount": 10,
"exchangeRate": 2000,
"feePercentage": 1,
"paymentReference": "PAY-2024-001234",
"paymentReceived": true,
"blockchainTransactionHash": "0x1234...",
"createdAt": "2023-11-07T05:31:56Z",
"companyBankAccount": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"bankName": "<string>",
"companyName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"bankCountry": "<string>",
"beneficiaryAddressLine1": "<string>",
"beneficiaryAddressLine2": "<string>",
"beneficiaryCity": "<string>",
"beneficiaryState": "<string>",
"beneficiaryPostalCode": "<string>",
"beneficiaryCountry": "<string>",
"verifiedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"version": 123,
"iban": "<string>",
"bic": "<string>",
"intermediaryBic": "<string>"
},
"companyWallet": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"address": "<string>",
"verifiedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"version": 123
},
"depositBankAccount": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bankName": "<string>",
"beneficiary": "<string>",
"fiatCurrency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "EUR",
"label": "Euro",
"enabled": true,
"version": 123
},
"label": "<string>",
"isActive": true,
"isDefault": true,
"version": 123,
"bic": "<string>",
"intermediaryBic": "<string>",
"iban": "<string>"
},
"depositWallet": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "<string>",
"label": "<string>",
"isDefault": true,
"isActive": true,
"version": 123
},
"fiatCurrency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "EUR",
"label": "Euro",
"enabled": true,
"version": 123
},
"cryptoCurrency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "USDC",
"label": "USD Coin",
"enabled": true,
"version": 123,
"coingeckoId": "<string>"
},
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "<string>",
"username": "<string>",
"email": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"version": 123,
"metadata": {}
}
],
"version": 123,
"amountReceived": 123
}
}{
"success": false,
"errors": [
{
"code": "validation-error",
"message": "A descriptive error message"
}
]
}{
"success": false,
"errors": [
{
"code": "UNAUTHORIZED",
"message": "Access is denied."
}
]
}{
"success": false,
"errors": [
{
"code": "FORBIDDEN",
"message": "User doesn't have proper authority to access this resource"
}
]
}{
"success": false,
"errors": [
{
"code": "NOT_FOUND"
}
]
}{
"success": false,
"errors": [
{
"code": "METHOD_NOT_SUPPORTED",
"message": "HttpMethod is not supported. Supported methods are [..]"
}
]
}{
"success": false,
"errors": [
{
"code": "INVALID_MEDIA_TYPE"
}
]
}{
"success": false,
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"message": "A description of the error (optional)"
}
]
}Ramp Requests
Get ramp request by ID
Fetch full details, amounts, status, and event history for one ramp request.
GET
/
v1
/
ramp-requests
/
{id}
Get ramp request by ID
Returns the current status, fiat and crypto amounts, fees, the associated wallet or bank account, payment information, and the complete event history for a ramp request.
Concept guide: Transactions
Authorizations
OAuth2 authentication via Venly Identity Platform
Path Parameters
Unique identifier of the ramp request
Was this page helpful?
⌘I

